%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%      Definition of the reference     %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Reference defined on the Signal Builder on Simulink
time_ref = [0 5*60 5*60 10*60 10*60 15*60 15*60 20*60 20*60 25*60 25*60 30*60 30*60 35*60 35*60 40*60 40*60 45*60 45*60 50*60];
data_ref = [0.105 0.105 0.085 0.085 0.11 0.11 0.09 0.090 0.075 0.075 0.065 0.065 0.085 0.085 0.1 0.1 0.095 0.095 0.085 0.085];%0.095 0.095

last_r = time_ref(end);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   FOR: Algorithm 1 Step 1   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Minimum and maximum values of the inputs variables
universe_x(1,:)= [0.05 0.12]; % Universe of x1 (reference) [min max]
universe_x(2,:)= [0.05 0.12]; % Universe of x2 (yk) [min max]

%% Minimum and maximum values of the output variable
control_min_max = [90 110];  % Universe of discourse of the control variable [min max]

Cmin = control_min_max(1); % Signal control - Min
Cmax = control_min_max(2); % Signal control - Max

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   FOR: Algorithm 1 Step 2   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Criterion 1
delta = 0.35; % threshold \delta

%% Criterion 2 - Auxiliary variable to obtain Threshold \eta_j
eta_aux(1) = 25; % parameters to define the minimal distance between MFs, for x1 (error)
eta_aux(2) = 25; % parameters to define the minimal distance between MFs, for x2 (reference)

%% Criteria 3 and 4
epsilon = 0.1; % thresold \epsilon 

%% other
gamma = 0.35; % learning gain \gamma (consequents)
T_M = 1000; % temporal sliding windows size

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%     Other Parameters        %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Number of initial membership functions per input variable
Rules_ini(1) = 2; % Initial number of fuzzy rules (the same of initial MFs), for x1 (error)
Rules_ini(2) = 2; % Initial number of fuzzy rules (the same of initial MFs), for x2 (reference)

safe_interval = 60000; % minimum number of sample times between the addition of control rules

